import os
from setuptools import setup
from elisa.core.utils.dist import find_packages, TrialTest, Clean

dirname = os.path.dirname(__file__)

packages, package_dir = find_packages(dirname)
cmdclass = dict(test=TrialTest, clean=Clean)

setup(name='elisa-plugin-http-client',
    version='0.3',
    description='Generic HTTP client',
    long_description='Generic HTTP client.',
    license='GPL3',
    author='Moovida Developers',
    author_email='elisa@lists.fluendo.com',
    keywords='',
    namespace_packages=['elisa', 'elisa.plugins'],
    packages=packages,
    package_dir=package_dir,
    package_data={'': ['*.png', '*.mo', '*.po']},
    entry_points="""\
    """,
    cmdclass=cmdclass)
